import sale.*;
import log.*;

import java.io.*;
import java.util.*;


/**
 * Diese Klasse ist der "Shop" der Anwendung. Sie stellt das Grundger&uuml;st
 * f&uuml;r die Anwendung dar.
 */
public class VideoMachine extends Shop
{

  //// constructor ///////////////////////////////////////////////////////////

  /**
   * Konstruktor. Erzeugt ein neues Objekt vom Typ VideoAutomat.
   */
  public VideoMachine()
  {
    super();
  }


  //// public methods ///////////////////////////////////////////////////////

  /**
   * Die Main-Methode startet die Anwendung.
   */
  public static void main (String[] args)
  {
    // neuen Videoautomaten erzeugen
    VideoMachine vidMachine = new VideoMachine();
    setTheShop(vidMachine);

    // Datei zuweisen, in die das Log geschrieben werden soll
    try {
      Log.setGlobalOutputStream(new FileOutputStream("machine.log", true));
    }
    catch (IOException ioex) {
      System.err.println("Unable to create log file.");
    }


    // Titel setzen und starten
    vidMachine.setShopFrameTitle("Videoverleihautomat *** HOMECINEMA *** 24h");
    vidMachine.start();

    vidMachine.getShopFrame().setSize(640,480);
    vidMachine.getShopFrame().validate();
  }

  /**
    * Beendet das Programm ohne den Stand abzuspeichern.
    */
  public void quit()
  {
    if (Shop.getTheShop().shutdown (false)) {
      System.exit (0);
    }
  }
}
